## request-tracker4 4.2.11

=== Makefile ===
# BEGIN BPS TAGGED BLOCK {{{
#
# COPYRIGHT:
#
# This software is Copyright (c) 1996-2015 Best Practical Solutions, LLC
#                                          <sales@bestpractical.com>
#
# (Except where explicitly superseded by other copyright notices)
#
#
# LICENSE:
#
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from www.gnu.org.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 or visit their web page on the internet at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
#
#
# CONTRIBUTION SUBMISSION POLICY:
#
# (The following paragraph is not intended to limit the rights granted
# to you to modify and distribute this software under the terms of
# the GNU General Public License and is only of importance to you if
# you choose to contribute your changes and enhancements to the
# community by submitting them to Best Practical Solutions, LLC.)
#
# By intentionally submitting any modifications, corrections or
# derivatives to this work, or any other work intended for use with
# Request Tracker, to Best Practical Solutions, LLC, you confirm that
# you are the copyright holder for those contributions and you grant
# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
# royalty-free, perpetual, license to use, copy, create derivative
# works based on those contributions, and sublicense and distribute
# those contributions and any derivatives thereof.
#
# END BPS TAGGED BLOCK }}}
#
# DO NOT HAND-EDIT the file named 'Makefile'. This file is autogenerated.
# Have a look at "configure" and "Makefile.in" instead
#


PERL			=	/usr/bin/perl
INSTALL			=	./install-sh
CC				=	@CC@

RT_LAYOUT		=	relative

CONFIG_FILE_PATH	=	/opt/rt4/etc
CONFIG_FILE		=	$(CONFIG_FILE_PATH)/RT_Config.pm
SITE_CONFIG_FILE	=	$(CONFIG_FILE_PATH)/RT_SiteConfig.pm


RT_VERSION_MAJOR	=	4
RT_VERSION_MINOR	=	2
RT_VERSION_PATCH	=	11

RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)


# This is the group that all of the installed files will be chgrp'ed to.
RTGROUP			=	www


# User which should own rt binaries.
BIN_OWNER		=	root

# User that should own all of RT's libraries, generally root.
LIBS_OWNER 		=	root

# Group that should own all of RT's libraries, generally root.
LIBS_GROUP		=	bin

WEB_USER		=	www
WEB_GROUP		=	www

# DESTDIR allows you to specify that RT be installed somewhere other than
# where it will eventually reside. DESTDIR _must_ have a trailing slash
# if it's defined.

DESTDIR			=	



RT_PATH			=	/opt/rt4
RT_ETC_PATH		=	/opt/rt4/etc
RT_BIN_PATH		=	/opt/rt4/bin
RT_SBIN_PATH		=	/opt/rt4/sbin
RT_LIB_PATH		=	/opt/rt4/lib
RT_MAN_PATH		=	/opt/rt4/man
RT_VAR_PATH		=	/opt/rt4/var
RT_DOC_PATH		=	/opt/rt4/docs
RT_FONT_PATH		=	/opt/rt4/share/fonts
RT_LEXICON_PATH		=	/opt/rt4/share/po
RT_STATIC_PATH		=	/opt/rt4/share/static
RT_LOCAL_PATH		=	/opt/rt4/local
LOCAL_PLUGIN_PATH	=	/opt/rt4/local/plugins
LOCAL_ETC_PATH		=	/opt/rt4/local/etc
LOCAL_LIB_PATH		=	/opt/rt4/local/lib
LOCAL_LEXICON_PATH	=	/opt/rt4/local/po
LOCAL_STATIC_PATH	=	/opt/rt4/local/static
MASON_HTML_PATH		=	/opt/rt4/share/html
MASON_LOCAL_HTML_PATH	=	/opt/rt4/local/html
MASON_DATA_PATH		=	/opt/rt4/var/mason_data
MASON_SESSION_PATH	=	/opt/rt4/var/session_data
RT_LOG_PATH		=       /opt/rt4/var/log

# RT_READABLE_DIR_MODE is the mode of directories that are generally meant
# to be accessable
RT_READABLE_DIR_MODE	=	0755





# RT's CLI
RT_CLI_BIN		=	rt
# RT's mail gateway
RT_MAILGATE_BIN		=	rt-mailgate
# RT's cron tool
RT_CRON_BIN		=	rt-crontool



BINARIES		=	$(RT_MAILGATE_BIN) \
				$(RT_CLI_BIN) \
				$(RT_CRON_BIN)

SYSTEM_BINARIES		=	rt-attributes-viewer \
				rt-clean-sessions \
				rt-dump-metadata \
				rt-email-dashboards \
				rt-email-digest \
				rt-email-group-admin \
				rt-fulltext-indexer \
				rt-importer \
				rt-preferences-viewer \
				rt-serializer \
				rt-server \
				rt-server.fcgi \
				rt-session-viewer \
				rt-setup-database \
				rt-setup-fulltext-index \
				rt-shredder \
				rt-test-dependencies \
				rt-validator \
				rt-validate-aliases \
				standalone_httpd


ETC_FILES		=	acl.Pg \
				acl.Oracle \
				acl.mysql \
				schema.Pg \
				schema.Oracle \
				schema.mysql \
				schema.SQLite \
				initialdata



WEB_HANDLER		=	standalone



#
# DB_TYPE defines what sort of database RT trys to talk to
# "mysql", "Oracle", "Pg", and "SQLite" are known to work.

DB_TYPE			=	SQLite

# Set DBA to the name of a unix account with the proper permissions and 
# environment to run your commandline SQL sbin

# Set DB_DBA to the name of a DB user with permission to create new databases 

# For mysql, you probably want 'root'
# For Pg, you probably want 'postgres' 
# For Oracle, you want 'system'

DB_DBA			=	root

DB_HOST			=	localhost

# If you're not running your database server on its default port, 
# specifiy the port the database server is running on below.
# It's generally safe to leave this blank 

DB_PORT			=	




#
# Set this to the canonical name of the interface RT will be talking to the 
# database on.  If you said that the RT_DB_HOST above was "localhost," this 
# should be too. This value will be used to grant rt access to the database.
# If you want to access the RT database from multiple hosts, you'll need
# to grant those database rights by hand.
#

DB_RT_HOST		=	localhost

# set this to the name you want to give to the RT database in 
# your database server. For Oracle, this should be the name of your sid

DB_DATABASE		=	rt4
DB_RT_USER		=	rt_user
DB_RT_PASS		=	rt_pass



TEST_FILES = t/*.t t/*/*.t t/*/*/*.t
TEST_VERBOSE = 0

RT_TEST_PARALLEL_NUM ?= 5


####################################################################

all: default

default:
	@echo "Please read RT's README before beginning your installation."



instruct:
	@echo "Congratulations. RT is now installed."
	@echo ""
	@echo ""
	@echo "You must now configure RT by editing $(SITE_CONFIG_FILE)."
	@echo ""
	@echo "(You will definitely need to set RT's database password in "
	@echo "$(SITE_CONFIG_FILE) before continuing. Not doing so could be "
	@echo "very dangerous.  Note that you do not have to manually add a "
	@echo "database user or set up a database for RT.  These actions will be "
	@echo "taken care of in the next step.)"
	@echo ""
	@echo "After that, you need to initialize RT's database by running" 
	@echo " 'make initialize-database'"


upgrade-instruct: 
	@echo "Congratulations. RT has been upgraded. You should now check over"
	@echo "$(CONFIG_FILE) for any necessary site customization. Additionally,"
	@echo "you should update RT's system database objects by running "
	@echo "    make upgrade-database"


upgrade: testdeps config-install dirs files-install fixperms upgrade-instruct

my_with_web_handlers= $(shell $(PERL) -e 'print join " ", map "--with-$$_", grep defined && length, split /,/, "$(WEB_HANDLER)"')
testdeps:
	$(PERL) ./sbin/rt-test-dependencies --verbose --with-$(DB_TYPE) $(my_with_web_handlers)

depends: fixdeps

fixdeps:
	$(PERL) ./sbin/rt-test-dependencies --verbose --install --with-$(DB_TYPE) $(my_with_web_handlers)

#}}}

fixperms:
	# Make the libraries readable
	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_PATH)
	chown -R $(LIBS_OWNER) $(DESTDIR)$(RT_LIB_PATH)
	chgrp -R $(LIBS_GROUP) $(DESTDIR)$(RT_LIB_PATH)
	chmod -R  u+rwX,go-w,go+rX $(DESTDIR)$(RT_LIB_PATH)


	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_BIN_PATH)

	chmod 0755 $(DESTDIR)$(RT_ETC_PATH)
	cd $(DESTDIR)$(RT_ETC_PATH) && chmod 0400 $(ETC_FILES)

	#TODO: the config file should probably be able to have its
	# owner set separately from the binaries.
	chown -R $(BIN_OWNER) $(DESTDIR)$(RT_ETC_PATH)
	chgrp -R $(RTGROUP) $(DESTDIR)$(RT_ETC_PATH)

	chmod 0440 $(DESTDIR)$(CONFIG_FILE)
	chmod 0640 $(DESTDIR)$(SITE_CONFIG_FILE)

	# Make the system binaries
	cd $(DESTDIR)$(RT_BIN_PATH) && ( chmod 0755 $(BINARIES) ; chown $(BIN_OWNER) $(BINARIES);  chgrp $(RTGROUP) $(BINARIES))

	# Make the system binaries executable also
	cd $(DESTDIR)$(RT_SBIN_PATH) && ( chmod 0755 $(SYSTEM_BINARIES) ; chown $(BIN_OWNER) $(SYSTEM_BINARIES);  chgrp $(RTGROUP) $(SYSTEM_BINARIES))

	# Make upgrade scripts executable if they are in the source.
	#
	# Note that we use the deprecated (by GNU/POSIX find) -perm +0NNN syntax
	# instead of -perm /0NNN since BSD find doesn't support the latter.
	( cd etc/upgrade && find . -type f -not -name '*.in' -perm +0111 -print ) | while read file ; do \
		chmod a+x "$(DESTDIR)$(RT_ETC_PATH)/upgrade/$$file" ; \
	done

	# Make the web ui readable by all. 
	chmod -R  u+rwX,go-w,go+rX 	$(DESTDIR)$(MASON_HTML_PATH) \
					$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
					$(DESTDIR)$(RT_LEXICON_PATH) \
					$(DESTDIR)$(LOCAL_LEXICON_PATH) \
					$(DESTDIR)$(RT_STATIC_PATH) \
					$(DESTDIR)$(LOCAL_STATIC_PATH)
	chown -R $(LIBS_OWNER) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)
	chgrp -R $(LIBS_GROUP) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)

	# Make the web ui's data dir writable
	chmod 0770  	$(DESTDIR)$(MASON_DATA_PATH) \
			$(DESTDIR)$(MASON_SESSION_PATH)
	chown -R $(WEB_USER) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)
	chgrp -R $(WEB_GROUP) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)

dirs:
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LOG_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_FONT_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_STATIC_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/cache
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/etc
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/obj
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_SESSION_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_LOCAL_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_ETC_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LIB_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_PLUGIN_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_STATIC_PATH)

clean-mason-cache:
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/cache/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/etc/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/obj/*

install: testdeps config-install dirs files-install fixperms instruct

files-install: libs-install etc-install config-install bin-install sbin-install html-install doc-install font-install po-install static-install

config-install:
	$(INSTALL) -m 0755 -o $(BIN_OWNER) -g $(RTGROUP) -d $(DESTDIR)$(CONFIG_FILE_PATH)
	-$(INSTALL) -m 0440 -o $(BIN_OWNER) -g $(RTGROUP)  etc/RT_Config.pm $(DESTDIR)$(CONFIG_FILE)
	[ -f $(DESTDIR)$(SITE_CONFIG_FILE) ] || $(INSTALL) -m 0640 -o $(BIN_OWNER) -g $(RTGROUP) etc/RT_SiteConfig.pm $(DESTDIR)$(SITE_CONFIG_FILE) 
	@echo "Installed configuration. About to install RT in  $(RT_PATH)"

test: 
	$(PERL) "-MExtUtils::Command::MM" -e "test_harness($(TEST_VERBOSE), 'lib')" $(TEST_FILES)

parallel-test: test-parallel

test-parallel:

=== debian/changelog ===
request-tracker4 (4.2.11-2) unstable; urgency=high

  * Apply upstream patches fixing security vulnerabilities:
    - cross-site scripting (XSS) attack via the user and group rights
      management pages (CVE-2015-5475)
    - cross-site scripting (XSS) attack via the cryptography interface

 -- Dominic Hargreaves <dom@earth.li>  Tue, 11 Aug 2015 22:49:56 +0100

request-tracker4 (4.2.11-1) unstable; urgency=medium

  * The issue fixed by security patch sec-2015-02-05-1 is addressed
    properly in 4.2.10 by depending on a newer Encode, so drop that patch
  * Add alternative Depends/Suggests on the virtual MySQL packages, to
    support the MariaDB and Percona forks (Closes: #732910)
  * Apply a workaround for changes to File::Which which broke the test
    suite (fixes FTBFS)
  * New upstream release
  * Add database upgrade script and NEWS entry
  * Add NEWS entry for manual steps needed to benefit from faster FTS
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 May 2015 13:49:19 +0100

request-tracker4 (4.2.10-1) experimental; urgency=medium

  * New upstream release (Closes: #773814)
  * Add Recommends on optional new libhtml-formatexternal-perl
    to improve plain text rendering
  * Update dependency on Encode to 2.64
  * Remove some redundant permission changes in debian/rules
  * Use Conflicts rather than Breaks for rt4-extension-assettracker
    (thanks, Lintian)
  * Add database upgrade script and NEWS entry
  * Depend on libtime-parsedate-perl instead of libtime-modules-perl
    (Closes: #749873)
  * Add Build-Depends on libdbd-mysql-perl to fix test failure for
    MySQL-specific script

 -- Dominic Hargreaves <dom@earth.li>  Sun, 29 Mar 2015 23:03:43 +0100

=== debian/control ===
Source: request-tracker4
Section: misc
Priority: optional
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>, Dominic Hargreaves <dom@earth.li>
Build-Depends: debhelper (>= 5),
 po-debconf,
 libdbd-sqlite3-perl,
 perl (>= 5.17.10) | libpod-simple-perl (>= 3.24),
 libhtml-parser-perl,
 libemail-abstract-perl,
 libtest-email-perl,
 libwww-mechanize-perl,
 libtest-www-mechanize-perl (>= 1.30),
 libtest-expect-perl (>= 0.31),
 libxml-simple-perl,
 libtest-deep-perl,
 libtest-warn-perl,
 perl (>= 5.10.1) | libtest-simple-perl (>= 0.90),
 libtest-mocktime-perl,
 libtest-www-mechanize-psgi-perl,
 libplack-middleware-test-stashwarnings-perl (>= 0.08),
 libtest-longstring-perl,
 libtest-nowarnings-perl,
 libhtml-mason-perl (>= 1:1.43),
 libapache-session-perl (>= 1.53),
 libregexp-common-perl,
 libdbi-perl (>= 1.37),
 libdbix-searchbuilder-perl (>= 1.66),
 libtext-template-perl (>= 1.44),
 liblog-dispatch-perl (>= 2.30),
 liblocale-maketext-fuzzy-perl (>= 0.11),
 liblocale-maketext-lexicon-perl (>= 0.32),
 liblocale-po-perl,
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmailtools-perl (>= 2.12),
 libtext-wrapper-perl,
 libtime-parsedate-perl,
 libtext-autoformat-perl,
 libtext-wikiformat-perl,
 libhtml-scrubber-perl,
 libmodule-versions-report-perl (>= 1.03),
 libtree-simple-perl (>= 1.04),
 libxml-rss-perl (>= 1.05),
 libxml-simple-perl,
 libgd-graph-perl (>= 1.47),
 libuniversal-require-perl,
 libgd-text-perl,
 libtimedate-perl,
 libfile-sharedir-perl,
 libemail-address-perl (>= 1.897),
 libperlio-eol-perl,
 libdata-ical-perl,
 libtext-quoted-perl (>= 2.07),
 libhtml-rewriteattributes-perl (>= 0.05),
 libgraphviz-perl,
 libgnupg-interface-perl,
 libencode-perl (>= 2.64) | perl (>= 5.21.6),
 libcgi-pm-perl (>= 3.38),
 libfcgi-procmanager-perl,
 libdatetime-perl (>= 0.44),
 libdatetime-locale-perl (>= 0.40),
 libhtml-quoted-perl,
 perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
 libtext-password-pronounceable-perl,
 libdevel-globaldestruction-perl,
 liblist-moreutils-perl,
 libnet-cidr-perl,
 libregexp-common-net-cidr-perl,
 libregexp-ipv6-perl,
 libjson-perl,
 libipc-run3-perl,
 libcgi-psgi-perl (>= 0.12),
 libhtml-mason-psgihandler-perl (>= 0.52),
 libplack-perl (>= 1.0002),
 libcgi-emulate-psgi-perl,
 libconvert-color-perl,
 libclass-accessor-perl (>= 0.34),
 liburi-perl (>= 1.59),
 libipc-run-perl (>= 0.90),
 libterm-readkey-perl,
 libfcgi-perl,
 libcrypt-eksblowfish-perl,
 libdata-guid-perl,
 libdate-extract-perl,
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libemail-address-list-perl (>= 0.02),
 libhtml-formattext-withlinks-perl (>= 0.14),
 libhtml-formattext-withlinks-andtables-perl,
 libhttp-message-perl (>= 6.0),
 libwww-perl,
 libmodule-refresh-perl (>= 0.03),
 librole-basic-perl (>= 0.12),
 libsymbol-global-name-perl (>= 0.04),
 libfile-which-perl,
 libcrypt-x509-perl,
 libstring-shellquote-perl,
 libmojolicious-perl,
 libset-tiny-perl,
 libcrypt-ssleay-perl,
 libapache-dbi-perl (>= 0.92),
 liblog-dispatch-perl-perl,
 libcss-squish-perl,
 libtest-pod-perl,
 libdbd-mysql-perl,
Build-Depends-Indep: perl (>= 5.8.3)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-request-tracker/request-tracker4.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-request-tracker/request-tracker4.git
Homepage: http://bestpractical.com/rt/

Package: request-tracker4
Architecture: all
Depends: rt4-clients (= ${source:Version}), 
 rt4-standalone (= ${source:Version}) | rt4-apache2 (= ${source:Version}) | rt4-fcgi (= ${source:Version}), 
 rt4-db-sqlite (= ${source:Version})
  | rt4-db-postgresql (= ${source:Version}) 
  | rt4-db-mysql   (= ${source:Version}),
 exim4 | mail-transport-agent, 
 rsyslog | system-log-daemon, ${perl:Depends},
 dbconfig-common (>= 1.8.38),
 ucf (>= 0.28),
 fonts-droid,
 libhtml-mason-perl (>= 1:1.43),
 libapache-session-perl (>= 1.53),
 libregexp-common-perl,
 libdbi-perl (>= 1.37), 
 libdbix-searchbuilder-perl (>= 1.66), 
 libtext-template-perl (>= 1.44), 
 liblog-dispatch-perl (>= 2.30),
 liblocale-maketext-fuzzy-perl (>= 0.11),
 liblocale-maketext-lexicon-perl (>= 0.32), 
 libmime-tools-perl (>= 5.504),
 libmime-types-perl,
 libmailtools-perl (>= 2.12),
 libtext-wrapper-perl, 
 libtime-parsedate-perl,
 libtext-autoformat-perl,
 libtext-wikiformat-perl, 
 libhtml-scrubber-perl,
 libmodule-versions-report-perl (>= 1.03), 
 libtree-simple-perl (>= 1.04),
 libxml-rss-perl (>= 1.05),
 libxml-simple-perl, 
 libgd-graph-perl (>= 1.47),
 libuniversal-require-perl, 
 libgd-text-perl,
 libtimedate-perl,
 libfile-sharedir-perl, 
 libemail-address-perl (>= 1.897),
 libperlio-eol-perl, 
 libdata-ical-perl,
 libtext-quoted-perl (>= 2.07),  
 libhtml-rewriteattributes-perl (>= 0.05),
 libgraphviz-perl,
 libgnupg-interface-perl,
 libencode-perl (>= 2.64) | perl (>= 5.21.6),
 libcgi-pm-perl (>= 3.38),
 libfcgi-procmanager-perl,
 libdatetime-perl (>= 0.44),
 libdatetime-locale-perl (>= 0.40),
 libhtml-quoted-perl,
 perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
 libtext-password-pronounceable-perl,
 libdevel-globaldestruction-perl,
 liblist-moreutils-perl,
 libnet-cidr-perl,
 libregexp-common-net-cidr-perl,
 libregexp-ipv6-perl,
 libjson-perl,
 libipc-run3-perl,
 libcgi-psgi-perl (>= 0.12),
 libhtml-mason-psgihandler-perl (>= 0.52),
 libplack-perl (>= 1.0002),
 libcgi-emulate-psgi-perl,
 libconvert-color-perl,
 libclass-accessor-perl (>= 0.34),
 liburi-perl (>= 1.59),
 libipc-run-perl (>= 0.90),
 libcrypt-eksblowfish-perl,
 libdata-guid-perl,
 libdate-extract-perl,
 libdate-manip-perl,
 libdatetime-format-natural-perl,
 libemail-address-list-perl (>= 0.02),
 libhtml-formattext-withlinks-perl (>= 0.14),
 libhtml-formattext-withlinks-andtables-perl,
 libhttp-message-perl (>= 6.0),
 libwww-perl,
 libmodule-refresh-perl (>= 0.03),
 librole-basic-perl (>= 0.12),
 libsymbol-global-name-perl (>= 0.04),
 libfile-which-perl,
 libcrypt-x509-perl,
 libstring-shellquote-perl,
 libcrypt-ssleay-perl,
 libcss-squish-perl,
 ${misc:Depends}
Recommends: cron-daemon, libhtml-formatexternal-perl, w3m
Suggests: rt4-doc-html
Conflicts: request-tracker,
 request-tracker3.2 (<< 3.2.2-3),
 libdatetime-locale-perl (<< 1:0.44),
 libdatetime-perl (<< 2:0.4900),
 rt4-extension-assettracker
Replaces: request-tracker
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker4/NOTES.Debian for more
 details and consider installing rt4-db-postgresql or rt4-db-mysql at
 the same time as this package.

Package: rt4-clients
Architecture: all
Depends: ${perl:Depends}, exim4 | mail-transport-agent, 
 libwww-perl, libterm-readkey-perl, 
 libterm-readline-perl-perl | libterm-readline-gnu-perl,
 ${misc:Depends}
Recommends: libio-socket-ssl-perl
Description: mail gateway and command-line interface to request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.         

Package: rt4-standalone
Architecture: all
Depends: ${misc:Depends}, starlet
Description: Standalone web server support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems.
 .
 This package provides the standalone web server interface.

Package: rt4-fcgi
Architecture: all
Depends: ${misc:Depends}, libfcgi-perl, procps, spawn-fcgi
Recommends: nginx-full
Description: External FastCGI support for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides an external FCGI interface for web servers
 including, but not limited to, nginx, and is not needed for web servers
 such as Apache which invoke FCGI programs directly.

Package: rt4-apache2
Architecture: all
Depends: apache2, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache2-mod-fcgid | libapache2-mod-fastcgi, 
 libapache2-mod-perl2 (>= 2.0.0) | libapache-dbi-perl (>= 0.92) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
 ${misc:Depends}
Recommends: libapache2-mod-perl2 (>= 2.0.0), libapache-dbi-perl (>= 0.92),
 libapache2-mod-fcgid
Description: Apache 2 specific files for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt4-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 4 series of RT. It can be installed alongside
 the 3.8 series without any problems. 
 .
 This package provides various configuration files and manages the
 necessary dependencies for running request tracker (RT) version 4
 on the Apache 2 web server.

Package: rt4-db-postgresql
Architecture: all
Depends: ${misc:Depends}, libdbd-pg-perl (>= 1.41),
 postgresql-client
Suggests: postgresql
Description: PostgreSQL database backend for request-tracker4
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER=4

DEBIAN=$(CURDIR)/debian

RT = request-tracker$(VER)
CLIENTS = rt$(VER)-clients

RT_PKG = $(DEBIAN)/$(RT)
CLIENTS_PKG = $(DEBIAN)/$(CLIENTS)

RT_BUGDIR = $(RT_PKG)/usr/share/bug/$(RT)
CLIENTS_BUGDIR = $(CLIENTS_PKG)/usr/share/bug/$(CLIENTS)
TPSRC=third-party-source/devel/third-party

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure
	dh_testdir

	# Update translations
	debconf-updatepo

	# Keep aside automatically generated files shipped in the upstream tarball
	mkdir bak
	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	test -d $(TPSRC)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The test suite needs a different configuration in place
	./configure \
	  --with-my-user-group \
	  --enable-layout=inplace \
	  --with-db-type=SQLite \
	  --enable-developer

	-$(MAKE) testdeps
	mkdir -p var
	RT_TEST_PARALLEL_NUM=3 $(MAKE) test-parallel
	rm -rf var
endif

	# Although there's a configure stage, we have no make step.

	chmod u+x ./configure
	# --enable-gpg and --enable-smime disabled for #654697
	# still usable when manually configured
	./configure \
	  --enable-layout=Debian \
	  --enable-graphviz \
	  --enable-gd \
	  --with-rt-group=root \
	  --with-web-user=www-data \
	  --with-web-group=www-data \
	  --with-web-handler=standalone,fastcgi,modperl2 \
	  --with-libs-group=root \
	  --with-db-type=Pg \
	  --with-db-dba=postgres

	-$(MAKE) testdeps
	mkdir man
	perl debian/scripts/fix-whatis < debian/whatis

	PERL5LIB=lib devel/tools/rt-static-docs --to html-docs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	$(RM) -r man
	# Restore shipped generated files
	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
	-rm -rf bak
	rm -f config.status config.log config.pld bak html-docs
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(RT_PKG)
	rm -rf $(RT_PKG)/usr/share/$(RT)/lib/t/
	rm -rf $(RT_PKG)/usr/bin/mason_handler.svc
	rm -rf $(RT_PKG)/usr/sbin/rt-test-dependencies
	rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/RichText/FCKeditor/license.txt
	# We will install a symlink to the separately-packaged javascript
	# libraries instead
	# (leave below as example as there'll be different ones to add back)
	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
	# We will install symlinks to the fonts provided by the fonts-droid
	# package
	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts

	for x in rt-server rt-server.fcgi standalone_httpd; do \
	  mv $(RT_PKG)/usr/sbin/$$x $(RT_PKG)/usr/share/$(RT)/libexec/; \
	done
	dh_install
		
test:
	perl debian/scripts/check-deps

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install 
	dh_testdir
	dh_testroot
	dh_usrlocal
	dh_installchangelogs
	dh_installdocs
	dh_installexamples sbin/standalone_httpd
	dh_installman man/*
	dh_installdebconf
	dh_installlogcheck
	cd $(RT_PKG) && perl $(DEBIAN)/scripts/move-alts $(VER) \
	    $(DEBIAN)/alts $(DEBIAN)/$(CLIENTS).alts
	dh_movefiles --sourcedir=debian/$(RT)
	dh_link
	dh_fixperms
	# Remove any leftover .in files
	find $(RT_PKG)/usr/share/$(RT)/lib -type f -name '*.in' -print0 | xargs -0 --no-run-if-empty rm 
	rm -f $(RT_PKG)/usr/share/$(RT)/etc/upgrade/*.in
	
	# This is generated by the maintainer scripts
	$(RM) $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.pm

	install -m 644 debian/scripts/siteconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 644 debian/scripts/dbconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/write-siteconfig $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/update-rt-siteconfig $(RT_PKG)/usr/sbin/update-rt-siteconfig-$(VER)
	install -m 644 debian/scripts/update-rt-siteconfig.man $(RT_PKG)/usr/share/man/man8/update-rt-siteconfig-$(VER).8

	install -m 644 debian/lintian-overrides $(RT_PKG)/usr/share/lintian/overrides/$(RT)

	# dh_link already made the pgsql and sqlite links
	install -m 755 debian/scripts/dbconfig-install $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/install/mysql
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12
	# No sqlite upgrade file provided for this
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-pgsql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.3 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.3
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.7 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.7
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.11 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.11

	chmod 755 $(RT_PKG)/usr/share/bug/$(RT)/script

	install -d $(RT_PKG)/var/lib/$(RT)/data
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chown www-data:root
	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chown www-data:root
	find $(RT_PKG)/var/cache/$(RT)/ -type d -print0 | xargs --null chmod 2750
	find $(RT_PKG)/var/lib/$(RT)/ -type d -print0 | xargs --null chmod 2750

	chown www-data:www-data $(RT_PKG)/var/log/$(RT)/
	# special perms for gpg
	install -d $(RT_PKG)/var/lib/$(RT)/data/gpg
	chown www-data:www-data $(RT_PKG)/var/lib/$(RT)/data/gpg
	chmod 700 $(RT_PKG)/var/lib/$(RT)/data/gpg

	chmod 2755 $(RT_PKG)/var/log/$(RT)/
	dh_compress
	dh_perl
	dh_installinit
	dh_usrlocal
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install test

## request-tracker4 4.2.12

=== Makefile ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 RT_VERSION_MAJOR	=	4
 RT_VERSION_MINOR	=	2
-RT_VERSION_PATCH	=	11
+RT_VERSION_PATCH	=	12
 
 RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
 TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)

=== debian/changelog ===
request-tracker4 (4.2.12-5) unstable; urgency=medium

  * Revert previous change following fix to DateTime::Locale
  * Fix findutils perm syntax. Thanks to Andreas Metzler for the patch
    (Closes: #803021)
  * Run dh_autoreconf so changes in configure.ac are picked up
  * Extract correct (Debian) version number in configure.ac and annotate
    it as from Debian in the web interface (Closes: #796851)
  * Fix problem with SMIME and non-ASCII emails. Thanks to Max Kosmach
    for the patch (Closes: #795133)
  * Include systemd unit file for rt4-fcgi, contributed by
    Christian Loos (Closes: #809376)
  * Add missing dependency on request-tracker4 to rt4-fcgi
  * Update local documentation to reflect current web server support
  * Use dh_prep instead of dh_clean -k, and other Lintian cleanups
  * Switch from fonts-droid to fonts-noto (+ fonts-droid-fallback)
    (Closes: #804687)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 10 Jan 2016 22:36:34 +0000

request-tracker4 (4.2.12-4) unstable; urgency=medium

  * Fix FTBFS caused by change in DateTime::Locale (Closes: #806449)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 28 Nov 2015 17:08:01 +0000

request-tracker4 (4.2.12-3) unstable; urgency=medium

  * Apply patches to allow for extension testing (Closes: #799591)
  * Add missing Should-Start/Should-Stop on rt4-fcgi to fix
    startup dependency issues with systemd (Closes: #794467)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 01 Oct 2015 22:42:45 +0100

request-tracker4 (4.2.12-2) unstable; urgency=high

  * Further simplify rt4-apache2 dependencies; drop all references to
    obsolete libapache-dbi-perl and remove erroneous dependency
    on libapache2-mod-fastcgi with no alternative (Closes: #798383)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2015 21:33:11 +0100

request-tracker4 (4.2.12-1) unstable; urgency=medium

  * New upstream release
  * Apply test fix with newer libhtml-formattext-withlinks-andtables-perl
    (Closes: #797295)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 01 Sep 2015 22:27:54 +0100

request-tracker4 (4.2.11-3) unstable; urgency=medium

  * Drop libapache-dbi-perl as a Build-Depends, as it's not used (and
    is preventing testing against perl 5.22 whilst libapache2-mod-perl2
    is uninstallable)
  * Prefer libapache2-mod-fcgid over libapache2-mod-perl2, as it's
    generally a better choice

 -- Dominic Hargreaves <dom@earth.li>  Fri, 21 Aug 2015 11:56:49 +0200

=== debian/control ===
--- 
+++ 
@@ -60,7 +60,7 @@
  libcgi-pm-perl (>= 3.38),
  libfcgi-procmanager-perl,
  libdatetime-perl (>= 0.44),
- libdatetime-locale-perl (>= 0.40),
+ libdatetime-locale-perl (>= 1:1.02),
  libhtml-quoted-perl,
  perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
  libtext-password-pronounceable-perl,
@@ -100,11 +100,12 @@
  libmojolicious-perl,
  libset-tiny-perl,
  libcrypt-ssleay-perl,
- libapache-dbi-perl (>= 0.92),
  liblog-dispatch-perl-perl,
  libcss-squish-perl,
  libtest-pod-perl,
  libdbd-mysql-perl,
+ dh-autoreconf,
+ dh-systemd,
 Build-Depends-Indep: perl (>= 5.8.3)
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-request-tracker/request-tracker4.git
@@ -122,7 +123,8 @@
  rsyslog | system-log-daemon, ${perl:Depends},
  dbconfig-common (>= 1.8.38),
  ucf (>= 0.28),
- fonts-droid,
+ fonts-noto-hinted,
+ fonts-droid-fallback,
  libhtml-mason-perl (>= 1:1.43),
  libapache-session-perl (>= 1.53),
  libregexp-common-perl,
@@ -160,7 +162,7 @@
  libcgi-pm-perl (>= 3.38),
  libfcgi-procmanager-perl,
  libdatetime-perl (>= 0.44),
- libdatetime-locale-perl (>= 0.40),
+ libdatetime-locale-perl (>= 1:1.02),
  libhtml-quoted-perl,
  perl (>= 5.10.1) | libfile-temp-perl (>= 0.19),
  libtext-password-pronounceable-perl,
@@ -278,7 +280,7 @@
 
 Package: rt4-fcgi
 Architecture: all
-Depends: ${misc:Depends}, libfcgi-perl, procps, spawn-fcgi
+Depends: ${misc:Depends}, request-tracker4, libfcgi-perl, procps, spawn-fcgi
 Recommends: nginx-full
 Description: External FastCGI support for request-tracker4
  Request Tracker (RT) is a ticketing system which
@@ -302,11 +304,8 @@
 Package: rt4-apache2
 Architecture: all
 Depends: apache2, 
- libapache2-mod-perl2 (>= 2.0.0) | libapache2-mod-fcgid | libapache2-mod-fastcgi, 
- libapache2-mod-perl2 (>= 2.0.0) | libapache-dbi-perl (>= 0.92) | libapache2-mod-fcgid | libapache2-mod-fastcgi,
+ libapache2-mod-fcgid | libapache2-mod-perl2 | libapache2-mod-fastcgi,
  ${misc:Depends}
-Recommends: libapache2-mod-perl2 (>= 2.0.0), libapache-dbi-perl (>= 0.92),
- libapache2-mod-fcgid
 Description: Apache 2 specific files for request-tracker4
  Request Tracker (RT) is a ticketing system which
  enables a group of people to intelligently and efficiently manage
@@ -334,3 +333,7 @@
 Description: PostgreSQL database backend for request-tracker4
  Request Tracker (RT) is a ticketing system which
  enables a group of people to intelligently and efficiently manage
+ tasks, issues, and requests submitted by a community of users. It
+ features web, email, and command-line interfaces (see the package
+ rt4-clients).
+ .

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
 	test -d $(TPSRC)
 
+	dh_autoreconf
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# The test suite needs a different configuration in place
 	./configure \
@@ -48,9 +50,6 @@
 	rm -rf var
 endif
 
-	# Although there's a configure stage, we have no make step.
-
-	chmod u+x ./configure
 	# --enable-gpg and --enable-smime disabled for #654697
 	# still usable when manually configured
 	./configure \
@@ -82,12 +81,13 @@
 	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
 	-rm -rf bak
 	rm -f config.status config.log config.pld bak html-docs
+	dh_autoreconf_clean
 	dh_clean build-stamp
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(RT_PKG)
@@ -99,8 +99,8 @@
 	# libraries instead
 	# (leave below as example as there'll be different ones to add back)
 	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
-	# We will install symlinks to the fonts provided by the fonts-droid
-	# package
+	# We will install symlinks to the fonts provided by the fonts-noto
+	# and fonts-droid-fallback packages
 	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts
 
 	for x in rt-server rt-server.fcgi standalone_httpd; do \
@@ -182,7 +182,10 @@
 	chmod 2755 $(RT_PKG)/var/log/$(RT)/
 	dh_compress
 	dh_perl
+	# NB - we don't enable this by default, in common with the init script
+	#dh_systemd_enable
 	dh_installinit
+	dh_systemd_start
 	dh_usrlocal
 	dh_installdeb
 	dh_gencontrol
